Show: Inherited Protected Private Deprecated

# CKEDITOR.plugins.ae_placeholder Class

Defined in: `src/plugins/placeholder.js:8`

CKEditor plugin which allows adding a placeholder to the editor. In this case, if there is no content to the editor, there will be hint to the user.

## Index

### Methods

- _checkEmptyData
- _removePlaceholderClass!~YUIDOC_LINE~! + @param editor event, fired from CKEditor
- init

### Attributes

- placeholderClass

## Methods

### `_checkEmptyData`

(

- `editor`

)
protected

Defined in `src/plugins/placeholder.js:40`

Removes any data from the content and adds a class, specified by the "placeholderClass" config attribute.

#### Parameters:

- `editor` CKEDITOR.dom.event

  event, fired from CKEditor

### `_removePlaceholderClass!~YUIDOC_LINE~! + @param editor event, fired from CKEditor`

() protected

Defined in `src/plugins/placeholder.js:60`

Remove placeholder class when input is focused

### `init`

(

- `editor`

)

Defined in `src/plugins/placeholder.js:26`

Initialization of the plugin, part of CKEditor plugin lifecycle. The function registers a 'blur' and 'contentDom' event listeners.

#### Parameters:

- `editor` Object

  The current editor instance

## Attributes

### `placeholderClass`

String

Defined in `src/plugins/placeholder.js:15`

Specifies the placeholder class which have to be aded to editor when editor is not focuced.

Default: ae_placeholder